Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit opensm for openSUSE:Factory
Hello community,

here is the log from the commit of package opensm for openSUSE:Factory checked
in at 2019-04-22 12:23:08
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/opensm (Old)
and /work/SRC/openSUSE:Factory/.opensm.new.5536 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "opensm"

Mon Apr 22 12:23:08 2019 rev:13 rq:695785 version:3.3.22

Changes:
--------
--- /work/SRC/openSUSE:Factory/opensm/opensm.changes 2018-11-12
09:50:03.792407027 +0100
+++ /work/SRC/openSUSE:Factory/.opensm.new.5536/opensm.changes 2019-04-22
12:23:09.552875682 +0200
@@ -1,0 +2,9 @@
+Thu Apr 18 07:56:14 UTC 2019 - Nicolas Morey-Chaisemartin
<nmoreychaisemartin@xxxxxxxx>
+
+- Update to version 3.3.22
+ - Internal library reorganization to remove circular dependencies
+ - Added a few additional command line options which were supported by
options to be consistent with RedHat Fedora startup script
+ - Internal improvements and bug fixes
+- Remove unneeded build dependencies
+
+-------------------------------------------------------------------

Old:
----
opensm-3.3.21.0.36450bc70972.tar.gz

New:
----
opensm-3.3.22.0.24d2f346ad8e.tar.gz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ opensm.spec ++++++
--- /var/tmp/diff_new_pack.47Z0MU/_old 2019-04-22 12:23:10.620876509 +0200
+++ /var/tmp/diff_new_pack.47Z0MU/_new 2019-04-22 12:23:10.620876509 +0200
@@ -1,7 +1,7 @@
#
# spec file for package opensm
#
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@@ -12,25 +12,25 @@
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


-%define git_ver .0.36450bc70972
+%define git_ver .0.24d2f346ad8e
#Compat macro for new _fillupdir macro introduced in Nov 2017
%if ! %{defined _fillupdir}
%define _fillupdir /var/adm/fillup-templates
%endif

-%define lib_osm_major 8
-%define lib_osmcomp_major 4
-%define lib_osmvendor_major 4
+%define lib_osm_major 9
+%define lib_osmcomp_major 5
+%define lib_osmvendor_major 5

Name: opensm
Summary: Infiniband Subnet Manager
License: BSD-2-Clause OR GPL-2.0-only
Group: Productivity/Networking/System
-Version: 3.3.21
+Version: 3.3.22
Release: 0
Source: opensm-%{version}%{git_ver}.tar.gz
Source1: conf.sysconfig
@@ -45,7 +45,6 @@
BuildRequires: flex
BuildRequires: gcc-c++
BuildRequires: libibumad-devel
-BuildRequires: libibverbs-devel
BuildRequires: libtool
BuildRequires: systemd-rpm-macros
PreReq: %fillup_prereq

++++++ _service ++++++
--- /var/tmp/diff_new_pack.47Z0MU/_old 2019-04-22 12:23:10.640876525 +0200
+++ /var/tmp/diff_new_pack.47Z0MU/_new 2019-04-22 12:23:10.640876525 +0200
@@ -8,7 +8,7 @@
<param name="versionformat">@PARENT_TAG@.@TAG_OFFSET@.%h</param>
<param name="versionrewrite-pattern">opensm(.*)</param>
<param name="versionrewrite-replacement">\1</param>
- <param name="revision">36450bc70972993b56e4076de30f89334782790d</param>
+ <param name="revision">24d2f346ad8e54fcbf9c4fa3b2d087ad821dd148</param>
</service>
<service name="recompress" mode="disabled">
<param name="file">*opensm*.tar</param>

++++++ baselibs.conf ++++++
--- /var/tmp/diff_new_pack.47Z0MU/_old 2019-04-22 12:23:10.652876534 +0200
+++ /var/tmp/diff_new_pack.47Z0MU/_new 2019-04-22 12:23:10.652876534 +0200
@@ -1,8 +1,8 @@
-libopensm8
-libosmcomp4
-libosmvendor4
+libopensm9
+libosmcomp5
+libosmvendor5
opensm-devel
requires -opensm-<targettype>
- requires "libopensm8-<targettype> = <version>"
- requires "libosmcomp4-<targettype> = <version>"
- requires "libosmvendor4-<targettype> = <version>"
+ requires "libopensm9-<targettype> = <version>"
+ requires "libosmcomp5-<targettype> = <version>"
+ requires "libosmvendor5-<targettype> = <version>"

++++++ opensm-3.3.21.0.36450bc70972.tar.gz ->
opensm-3.3.22.0.24d2f346ad8e.tar.gz ++++++
++++ 12119 lines of diff (skipped)


< Previous Next >
This Thread
  • No further messages